Strona 14 z 14

Re: [AutoCAD] Warstwy

PostNapisane: kwi 14, 2015 00:16
przez wilda
kojacek napisał(a):W tej chwili (ale i tak tylko momentami - ze względu na czas) zajmuję się modułem zarządzania plikiem ini. To trochę musi potrwać, nie chcę w tej chwili odrywać się od tego aby ponownie wracać do samych warstw. Myślę że jak skończę ten drugi etap, będzie można podyskutować o zmianach - teraz póki co - nich hula jak jest.


kojacek napisał(a):
wilda napisał(a): Jak postępy?

W drugiej połowie kwietnia coś tam wrzucę... :)
kojacek


Jak nie liczyć, zaraz druga połowa kwietnia. :wink:

Re: [AutoCAD] Warstwy

PostNapisane: kwi 14, 2015 07:18
przez kojacek
wilda napisał(a):Jak nie liczyć, zaraz druga połowa kwietnia. :wink:

No ta... ...

Re: [AutoCAD] Warstwy

PostNapisane: paź 17, 2018 12:05
przez wilda
kojacek napisał(a):
Pamiętajmy że już teraz kazdy na swój uzytek może sobie zrobić dowolne podstawowe polecenie rysujące, dla swoich działań np. w ten sposób:
Kod: Zaznacz cały
(defun C:ŁOSIE ()
  (setq *cd-LayerStandard* "Osie")
  (C:LN)
  (princ)
)

kojacek

A czy można to zrobić dla polecenia z dowolnego lisp'a, bo mi nie wychodzi.
Zrobiłem tak:
Kod: Zaznacz cały
(defun C:POLECENIE ()
  (setq *cd-LayerStandard* "Warstwa dla polecenia")
  (C:POLECENIE_Layer_Standard)
  (princ)
)

do pliku Layer standard.lsp dopisałem:
Kod: Zaznacz cały
(defun C:POLECENIE_Layer_Standard()
      (load "plik z nazwą mojego polecenia.lsp")
  (jk:LayerStd_MakeObjects "\n Wskaż punkt wstawienia " "nazwa mojego polecenia" T)
  (princ)
)

Wszystko działa poza tym, że po wskazaniu punktu wstawienia pojawia się błąd że nieznane polecenie "nazwa mojego polecenia"
Dla poleceń zawartych w autocadzie to działa (np: multilinii, kreskowania).

Re: [AutoCAD] Warstwy

PostNapisane: sty 24, 2019 21:20
przez wilda
Przypisanie dowolnej warstwy do własnego polecenia lisp jest możliwe w najnowszym Layer Director.